Robot Simulator of the Robotics Group for Self-Organization of Control: GlobalData Class Reference

# GlobalData Class Reference

Data structure holding all essential global information. More...

`#include <globaldata.h>`

Inherits GlobalDataBase.

Collaboration diagram for GlobalData:
[legend]

List of all members.

## Public Member Functions
| GlobalData ()
virtual | ~GlobalData ()
virtual AgentList & | getAgents ()
| returns the list of all agents
virtual void | addTmpObject (TmpObject *i, double duration)
| adds a temporary display item with given life duration in sec
virtual void | initializeTmpObjects (const OdeHandle &odeHandle, const OsgHandle &osgHandle)
| called by Simulation to initialize tmp objects
virtual void | updateTmpObjects (const OsgHandle &osgHandle)
| called by Simulation to update tmp objects
virtual void | removeExpiredObjects (double time=-1)
| called by Simulation to removes all expired sounds and temporary objects.
## Public Attributes
OdeConfig | odeConfig
ObstacleList | obstacles
OdeAgentList | agents
Primitive * | environment
SoundList | sounds
| < this is used to be able to attach objects to the static environment
PlotOptionList | plotoptions
| plotoptions used for new agents
std::list< Configurable * > | globalconfigurables
| global configurables plotted by all agents
double | time
long int | sim_step
| time steps since start

## Detailed Description

Data structure holding all essential global information.

Examples:

  template_sphererobot/main.cpp.

## Constructor & Destructor Documentation

GlobalData | ( |  | ) | `[inline]`

virtual ~GlobalData | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void addTmpObject | ( | TmpObject * | i,
|  | double | duration |
| ) |  |  | `[virtual]`

adds a temporary display item with given life duration in sec

AgentList & getAgents | ( |  | ) | `[virtual]`

returns the list of all agents

Implements GlobalDataBase.

void initializeTmpObjects | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle |
| ) |  |  | `[virtual]`

called by Simulation to initialize tmp objects

void removeExpiredObjects | ( | double | time = `-1` | ) | `[virtual]`

called by Simulation to removes all expired sounds and temporary objects.

Optionally a time can be specified otherwise the internal time is used.

void updateTmpObjects | ( | const OsgHandle & | osgHandle | ) | `[virtual]`

called by Simulation to update tmp objects

## Member Data Documentation

OdeAgentList agents

Examples:
  template_sphererobot/main.cpp.

Primitive* environment

std::list<Configurable*> globalconfigurables

global configurables plotted by all agents

ObstacleList obstacles

Examples:
  template_sphererobot/main.cpp.

OdeConfig odeConfig

Examples:
  template_sphererobot/main.cpp.

PlotOptionList plotoptions

plotoptions used for new agents

long int sim_step

time steps since start

SoundList sounds

< this is used to be able to attach objects to the static environment

sound space

double time

The documentation for this class was generated from the following files:

- globaldata.h
- globaldata.cpp